type MentionMatch = {
    leadOffset: number;
    matchingString: string;
    replaceableString: string;
};
type Resolution = {
    match: MentionMatch;
    range: Range;
};
export declare function getScrollParent(element: HTMLElement, includeHidden: boolean): HTMLElement | HTMLBodyElement;
export declare function useDynamicPositioning(resolution: Resolution | null, targetElement: HTMLElement | null, onReposition: () => void, onVisibilityChange?: (isInView: boolean) => void): void;
export declare function useMenuAnchorRef(resolution: Resolution | null, setResolution: (r: Resolution | null) => void, className?: string): HTMLElement;
export default function MentionsPlugin(): JSX.Element;
export {};
